#!/usr/bin/python
#
# This script will scan a folder on an IMAP server and delete any messages
# from a partcular email address.

# receiving, sending mail
import imaplib, smtplib
# credentials for account info
import netrc 

# mail host
host = "imap.gmail.com"

# folder where email is stored
trash_folder = "[Gmail]/Trash"
server = imaplib.IMAP4_SSL(host)

# fetch login info from .netrc
credentials = netrc.netrc()
login, account, password = credentials.authenticators(host)
server.login(login,password)

# go to the trash folder
server.select(trash_folder)
typ,data = server.search(None, 'FROM', '"annoying_inlaw@domain.tld"')

for num in data[0].split():
	typ, data = server.fetch(num, '(RFC822)')
	# mark as deleted
	server.store(num, '+FLAGS', '\\Deleted')

# purge deleted messages
server.expunge()
server.close()
server.logout()
